#A spec file that integrates properly with a mandrake (>7.0?) system, and works properly
#with KDE automake/autoconf applications
%define name klegacyconfig
%define version 0.6
%define release 5

%define _qtdir        /usr/lib/qt3

Summary:	KLegacyconfig integrates non-kde apps into the kde control center
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
Source:		http://ftp.kde.com/Administration/KLegacyconfig/klegacyconfig-%{version}.tar.bz2
Patch:		klegacyconfig-0.6-mandrake90-apps.patch
Patch1:		klegacyconfig-0.6-mandrake90-command-args.patch
License:	GPL
Url:		http://jonsim.kdedevelopers.net
Group:		Graphical desktop/KDE
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	python > 2.0, kdebase
BuildRequires:	kdebase-devel

%description
Legacyconfig integrates non-kde apps into the kde control center.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
%patch -p1
%patch1 -p1

%build
export QTDIR=%{_prefix}/lib/qt3
export QTLIB=$QTDIR/%{_lib}
export KDEDIR=%{_libdir}

	#We need to avoid mandrakes libtoolise script, by doing this all without
	#the standard macro
	CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS ; \
	CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS ; \
	FFLAGS="${FFLAGS:-%optflags}" ; export FFLAGS ;
	./configure \
	%{?_gnu: --host=%{_host} --target=%{_target_platform}} \
	%{!?_gnu: %{_target_platform}} \
 	--prefix=%{_prefix} \
	--exec-prefix=%{_exec_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--sysconfdir=%{_sysconfdir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--localstatedir=%{_localstatedir} \
	--sharedstatedir=%{_sharedstatedir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir}\
	--enable-final
#	--with-qt-dir=%{_qtdir} \
%make
%install
mkdir -p $RPM_BUILD_ROOT%{_datadir}
%makeinstall
#mkdir -p  $RPM_BUILD_ROOT/usr/share/config
#cp config/* $RPM_BUILD_ROOT/usr/share/config
#mkdir -p $RPM_BUILD_ROOT%{_menudir}
#cp $RPM_SOURCE_DIR/klegacyconfig $RPM_BUILD_ROOT%{_menudir}




cd $RPM_BUILD_ROOT
#find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > $RPM_BUILD_DIR/file.list.%{name}
find . -type f | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> $RPM_BUILD_DIR/file.list.%{name}


%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}
rm -rf ../file.list.%{name}

%files -f  ../file.list.%{name}
%defattr(-,root,root)


%post
%{update_menus}

%postun
%{clean_menus}




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.6-5mdv2008.1
+ Revision: 140863
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.6-5mdk
- fix x86_64 build
- %%mkrel

* Wed Sep 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6-4mdk
- annual rebuild

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-3mdk
- Rebuild

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6-2mdk
- Rebuild

